%global commit 5a9950d5d78d3fd559f9919886918ade4c238a03
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           takari-filemanager
Version:        0.8.0
Release:        5%{?dist}
Summary:        Takari file concurrency utilities
License:        EPL
URL:            https://github.com/takari/%{name}
BuildArch:      noarch

Source0:        https://github.com/takari/%{name}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(com.googlecode.multithreadedtc:multithreadedtc)
BuildRequires:  mvn(io.takari:takari:pom:)
BuildRequires:  mvn(javax.inject:javax.inject)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.slf4j:slf4j-api)
BuildRequires:  mvn(org.slf4j:slf4j-simple)
BuildRequires:  mvn(org.sonatype.plugins:sisu-maven-plugin)

Obsoletes:      tesla-filelock <= 0.0.2-2

%description
Java library for working with concurrent file management from takari.io.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n %{name}-%{commit}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license eclipse-1.0.txt

%files javadoc -f .mfiles-javadoc
%license eclipse-1.0.txt

%changelog
* Tue Jun 21 2016 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.8.0-5
- Update to current packaging guidelines

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun May 25 2014 Gerard Ryan <galileo@fedoraproject.org> - 0.8.0-1
- Package rename to takari-filemanager; update to latest upstream
- License is now included in upstream sources
- Add Obsoletes tesla-filelock

* Fri Nov 22 2013 Gerard Ryan <galileo@fedoraproject.org> - 0.0.2-1
- Initial rpm
